%define upstream_name	 Crypt-OpenSSL-Bignum
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    %{upstream_name} module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel

%description
A Perl interface to OpenSSL's multiprecision integer arithmetic libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.90.0-6.mga8
+ Revision: 1594374
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.90.0-5.mga8
+ Revision: 1529432
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.90.0-4.mga8
+ Revision: 1433456
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-3.mga7
+ Revision: 1292551
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.90.0-2.mga7
+ Revision: 1248589
- rebuild for perl 5.28

* Sun Dec 10 2017 shlomif <shlomif> 0.90.0-1.mga7
+ Revision: 1181980
- update to 0.09

* Mon Oct 02 2017 tv <tv> 0.80.0-3.mga7
+ Revision: 1163640
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.80.0-2.mga7
+ Revision: 1148702
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1133296
- update to 0.08

* Sat Jul 22 2017 neoclust <neoclust> 0.60.0-4.mga7
+ Revision: 1126885
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1024521
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 956972
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 843923
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-13.mga5
+ Revision: 739500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-12.mga5
+ Revision: 684046
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-11.mga5
+ Revision: 630957
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-10.mga4
+ Revision: 524745
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-9.mga4
+ Revision: 431417
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-8.mga3
+ Revision: 364889
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-7.mga3
+ Revision: 250397
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-6.mga2
+ Revision: 103823
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-5.mga1
+ Revision: 29988
- mageia rebuild
- imported package perl-Crypt-OpenSSL-Bignum


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-5mdv2011.0
+ Revision: 555715
- rebuild

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 0.40.0-4mdv2010.1
+ Revision: 534173
- rebuild

* Fri Sep 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-3mdv2010.0
+ Revision: 430532
- new perl version macro
- use standard optimisations
- spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - force rebuild
    - rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.04-4mdv2009.0
+ Revision: 256271
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2008.1
+ Revision: 152035
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 46616
- update to new version 0.04

  + Olivier Thauvin <nanardon@mandriva.org>
    - rebuild
    - rebuild


* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.03-3mdk
- Rebuild

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-2mdk
- Rebuild for new perl. Update description.

* Mon Jun 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-1mdk
- Initial cooker release, introduced for perl-Net-DNS-SEC

